Package org.jcsp.lang

# Interface Any2OneConnection

public interface Any2OneConnection

Defines an interface for a connection that can be shared by multiple concurrent clients but used by a single server. The server end of the connection can be used as a guard in an `Alternative`.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`SharedAltingConnectionClient`
`client()`
Returns a client end of the connection.
`AltingConnectionServer`
`server()`
Returns the server end of the connection.

## Method Details

### client

SharedAltingConnectionClient client()
Returns a client end of the connection. This may only be safely used by a single process but further calls will return new clients which may be used by other processes.

Returns:
  a new `SharedAltingConnectionClient` object.

### server

AltingConnectionServer server()
Returns the server end of the connection.

Returns:
  the instance of the `AltingConnectionServer`.